Bug 189641 - Delete the sysutils/3dm port
Summary: Delete the sysutils/3dm port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Carlo Strub
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-11 02:30 UTC by Rin Morningstar
Modified: 2014-06-06 07:02 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rin Morningstar 2014-05-11 02:30:00 UTC
The sysutils/3dm port provides a ports-based method for installing 3DM2, a management and monitoring daemon for 3ware RAID controllers.  3ware was bought by LSI years ago and 3ware products are no longer made.  I no longer have any 3ware controllers and can not adequately test and support this port.  The port has been unfetchable for some time and no one has said anything.  To me, that indicates there is no demand for this port.

Given the above, please delete sysutils/3dm.
Comment 1 commit-hook freebsd_committer 2014-06-03 18:21:35 UTC
A commit references this bug:

Author: cs
Date: Tue Jun  3 18:21:22 UTC 2014
New revision: 356386
URL: http://svnweb.freebsd.org/changeset/ports/356386

Log:
  Deprecated, does not fetch

  PR:		189641
  Submitted by:	ports.maintainer@evilphi.com  (maintainer)

Changes:
  head/sysutils/3dm/Makefile
Comment 2 Carlo Strub freebsd_committer 2014-06-03 18:23:40 UTC
Committed. Thank you very much.
Comment 3 Mathieu Arnold freebsd_committer 2014-06-03 23:01:57 UTC
If you have a look on lsi's site:

http://www.lsi.com/support/Pages/download-results.aspx?keyword=3dm

You'll see there has been a new release, v2.00.11.022.

I understand if you don't want to maintain it any more though.

PS: I did not notice it being unfetchable because I already have the distfiles.
Comment 4 Rin Morningstar 2014-06-04 10:52:06 UTC
Yes, "new" as in released in 2012.  To give you an idea of just how "no longer supported" this software is, that release contains binaries compiled for FreeBSD 5.x, 6.x and 7.x.  Fortunately FreeBSD has really good backward compatibility.

To answer the question more directly, no I can't support this port anymore.  I  don't have the necessary hardware to do it.  Takefu@airport.fm sent a patch to take maintainership; I approve the maintainership transfer.
Comment 5 Carlo Strub freebsd_committer 2014-06-05 06:37:39 UTC
Takefu@airport.fm, would you be willing to take over this port and fix fetchability?
Comment 6 Carlo Strub freebsd_committer 2014-06-05 09:40:47 UTC
New maintainer takes over (via private mail). I resurrect the port.
Comment 7 commit-hook freebsd_committer 2014-06-05 09:42:00 UTC
A commit references this bug:

Author: cs
Date: Thu Jun  5 09:41:33 UTC 2014
New revision: 356623
URL: http://svnweb.freebsd.org/changeset/ports/356623

Log:
  - Resurrect port
  - Switch maintainer

  PR:		189641
  Submitted by:	Darren Pilgrim (maintainer)

Changes:
  head/sysutils/3dm/Makefile
Comment 8 takefu 2014-06-05 22:56:35 UTC
The patch I sent rejected?
Comment 9 Rin Morningstar 2014-06-06 05:31:37 UTC
I'm guessing it fell out with the switch to Bugzilla.  Might want to resend it by the official attachment mechanism.
Comment 10 Carlo Strub freebsd_committer 2014-06-06 07:02:15 UTC
But, please open a new Problem Report, rather than re-using this one.